Skip to content
WP EngineDocumentation

Refresh install disk usage

POST
/installs/{install_id}/usage/refresh_disk_usage
curl --request POST \
--url https://api.wpengineapi.com/v1/installs/294deacc-d8b8-4005-82c4-0727ba8ddde0/usage/refresh_disk_usage \
--header 'Authorization: Basic <credentials>'

Triggers an asynchronous job to recalculate the disk usage for the install.

Limitations & Warnings

  • Asynchronous: the request returns immediately and does not return the updated usage data. To check progress, poll for daily usage metrics at GET /installs/{install_id}/usage. The estimated time of completion is the storage_refresh_expected_time field in the daily usage metrics; if it is null, the job has already completed.
  • The last time storage was refreshed is the storage_update_time field of the daily usage metrics.
  • Multiple requests for the same environment result in a single recalculation.
install_id
required
string format: uuid

The UUID of the install.

Example
294deacc-d8b8-4005-82c4-0727ba8ddde0

Returns null. The disk usage refresh has been initiated.

Bad Request

Authentication Error

Media typeapplication/json
object
message
required

A message regarding the error that occurred on the server

string
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
Example
{
"message": "Bad Credentials"
}

Not authorized

Media typeapplication/json
object
message
required

A message regarding the error that occurred on the server

string
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
Example
{
"message": "You don't have permission to perform that action"
}

Not found

Media typeapplication/json
object
message
required

A message regarding the error that occurred on the server

string
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
Example
{
"message": "Not Found"
}

Too many requests

Internal Server Error

Media typeapplication/json
object
message
required

A message regarding the error that occurred on the server

string
Example
{
"message": "An unexpected error occurred, please try again in a few minutes"
}

An invalid response was received from an upstream server

Service unavailable

An unexpected error response.

Media typeapplication/json
object
message
required

A message regarding the error that occurred on the server

string
Example
{
"message": "An unexpected error occurred, please try again in a few minutes"
}